POST /jobs
Submit a job
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
Idempotency-Key | header | string · required |
Request body
application/json · schema JobCreate
| Field | Type | Description |
|---|---|---|
type | "build.application_web" | "build.application_android" | "domain.lookup" | "domain.quote" | "domain.inspect" | "domain.dns.read" · required | |
input | object · required |
Responses
| Status | Description | Body |
|---|---|---|
202 | Job accepted | JobSubmissionResponse |
409 | Idempotency conflict | |
422 | Invalid parameters | Error |
503 | job_projection_invalid: the server refuses to publish a result that does not satisfy its closed public schema | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/jobs" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{"type": "build.application_web", "input": {}}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.jobs.create({"type": "build.application_web", "input": {}}, { idempotencyKey: "<unique-key>" });Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.jobs.create({"type": "build.application_web", "input": {}}, idempotency_key="<unique-key>")